#ifndef __INPUT_H__
#define __INPUT_H__
#include <string>

enum game_command : int;

class input {
public:
        virtual ~input() = default;
        virtual game_command get_command() = 0;
};

game_command get_direction(std::string &str);

#endif
